-- main.applescript
-- LaunchViaPooch

--  Created by Dean Dauger on 5/31/05.
--  Copyright 2005 Dauger Research, Inc.. All rights reserved.

on run {input, parameters}
	
	tell application "Pooch App"
		activate
		
		set j to make new job -- remember, the default job includes the node the script is running on
		
		open input
		
		delete node list of j
		
		--	make new node at j with properties {name:"remote node", address:"10.0.1.9"}
		
		set tasks per computer of j to 1
		set launch failure queues job to yes
		set retrieve output of j to yes
		
		set automatically acquire nodes of j to yes
		set node acquire count of j to 1
		set acquire nodes includes starting node of j to no
		
		--	set Unix arguments of j to (caseNumber as string)
		
		launch j
		
	end tell
	
	
	return input
end run
